NOD32 - Antivirus System

The NOD32 Antivirus System consists of several modules or system components. Each component has its corresponding help file available. The current help system integrates all of the individual help-files into a comprehensive on-line help tool offering the following advantages:

  • Easy cross reference
  • Complete contents list
  • Convenient full-text search

As a result of the integration, help regarding any system component feature is usually only one click away.

Components included in this master help file are as follows:

  • On-Demand scanner
  • Control Center
    • On-Access scanner
    • Internet monitor
    • Update module
    • Log management module

All system component help files are installed automatically during system installation. Do not delete any individual help files since the master file contains links to each specific help file.


Program Installation

Save and close all documents and close all running applications before installation. Make sure there are at least 30MB of free disk space on the disk where you plan to install NOD32.

If you are installing from CD-ROM, run SETUP.EXE, located in the root directory. To install from the Internet, double-click the NOD32 self-extracting archive downloaded from Eset's website.

In either case, you will be prompted to specify the installation directory. Keeping the suggested directory is recommended. The installation file will run automatically after it has been unpacked.

Select the installation mode. Most of the features can also be modified after completion of the installation process. Click Next after selecting the installation mode.


Running the NOD32 Program

To open the main window of the NOD32 System: the NOD32 Control Center, click the NOD32 icon (see above) located in the main system tray, in the lower right-hand corner of your computer monitor.

To display a particular section of the NOD32 system, select the corresponding item from the list of available modules in the NOD32 Control Center window. Click the Help button to run the on-line help system. To close the window and return its icon into the system tray, click the Hide button.


Scanning a Disk, Directory or File

To scan disks, folders, or files, click the NOD32 Control Center icon in the system tray (located by the clock in the lower right-hand corner of the screen). Select Resident modules and filters – and NOD32. To scan the local disks click Local. To scan a diskette click Diskettes. Use the Run NOD32 icon if you want to specify individual folders or files to scan.

The NOD32 on-demand scanner first checks its own integrity and the operating memory, then it starts scanning the selected targets. To abort execution of the on-demand scanner, click Stop.

On-demand scanning Using the NOD32 Control Center

  1. From the NOD32 Control Center, click NOD32 in the Resident modules and filters section.
  2. Click Run NOD32
  3. Select the desired scanning targets. Red checkmarks indicate the selected scanning targets. To include a new disk target, double-click the desired disk letter in the selection window. To select a folder or file use the Add, Delete (from the list), and Select all buttons.

To run the scan, click the Scan or the Clean button. NOD32 will scan and mark the infected objects in red. To abort the NOD32 on-demand scanner, click Stop. Before stopping the module you will be prompted to confirm any changes. If you wish to scan the same targets in the future, confirm the changes.

On-demand scanning from within Windows Explorer®

The NOD32 on-demand scanner can be integrated into the context menu of the mouse. This feature is enabled during the installation. If enabled, a directory or a file can be scanned using the on-demand scanner as follows:

Right-click the folder or file to be scanned and select NOD32 Antivirus System from the pop-up context menu.

If a virus was detected…

An infected (or potentially infected) file is listed in the on-demand scanner log in red. The number of infected files is also listed in the scanning log summary report. If a virus was detected, the scan needs to be repeated using the Clean button (instead of Scan). Most of the recent infiltrations (particularly email worms) are cleaned by deletion, since the entire body of the 'infected' file is just the worm itself. Cleaning some virus-infected files may, in a small number of cases, lead to file damage. Therefore, we recommended backing up the infected file before attempting to clean it. If a virus is detected in the Clean mode of the scan, a warning window Infiltration (virus) found! is displayed:

Select one of the following options, if available:

  • No action – Leaves the file in its original condition.
  • Clean – NOD32 will attempt to clean the file. (Cleaning may, in some cases, be impossible)
  • Rename – Changes the file extension to prevent its execution.
  • Delete – Deletes the file. Make sure you will not need the deleted file.

NOTE: Please keep in mind that prevention is more efficient than cleaning. Do not accept programs, email attachments, or files from untrusted sources.


Virus Signature Database Updates

Update Configuration

Select Update from the main window of the NOD32 Control Center to open the Update window displayed above. Click the Setup button to open configuration window. Enter the username and password provided by your vendor/distributor into the corresponding dialog lines. Select the server which will update your NOD32 system. If your computer has regular Internet access, you don't need to change the factory default update server. For more information on update options using a copy of the update files within a LAN, read relevant information on “Update Mirror”.

Update

To perform a manual update, click the Control Center icon in the system tray, click Update followed by Update now. During the update process the window will display information regarding the downloaded update files. If the system is current a message confirming the update status is displayed.


Installation

Save and close all documents and close all running applications before installation. Make sure there are at least 30MB of free disk space on the disk where you plan to install NOD32.

If you are installing from CD-ROM, run SETUP.EXE, located in the root directory. To install from the Internet, double-click the NOD32 self-extracting archive downloaded from Eset's website.

In either case, you will be prompted to specify the installation directory. Keeping the suggested directory is recommended. The installation file will run automatically after it has been unpacked.

Select the installation mode. Most of the features can also be modified after completion of the installation process. Click Next after selecting the installation mode.

Please read through the End-User Software License Agreement and click the desired option. Click Next.

Click Next to install NOD32 to its target directory.
NOTE: this window is not displayed in the Typical installation mode.

Activate Silent mode – Selection of this check-box will minimize communication between the NOD32 system and the user. Only NOD32's dialog windows requiring client input will be displayed. If the option to send event messages is turned on, messages will be sent to the administrator or selected user(s). Virus warning messages will, however, be displayed even when silent mode is on.

Protection of Setup parameters – If you wish to protect selected settings, check the second check-box. To avoid mistakes when entering the password, it is entered twice.

NOTE: This window is only displayed in the Advanced and Expert installation modes. Values of both these parameters can be modified after installation via the NOD32 Control Center, in the General tab of the NOD32 System Setup window.

Use default graphical user interface – Selection of this check-box will allow for a customized program interface. If this check-box is not selected, the standard Microsoft Windows® interface will be used instead.

Do not display NOD32 splash screen at startup – Select this check-box to disable display of the NOD32 splash screen at startup.

NOTE: This window is only available in Expert installation mode. Both of these parameters can be modified after installation via the Control Center, in the NOD32 System Setup section.

Send warnings by e-mail – All notifications and warnings will be sent to the e-mail addresses entered in the following fields (see below).

Send warnings via Windows Messenger system – All notifications and warnings will be sent to recipients via the local network - Windows® Messenger system.

NOTE: This window is only displayed in the Advanced and Expert installation modes. Both parameters can be modified after installation via the Control Center.

This window allows further configuration of communication between NOD32 and the user.

  • SMTP server – Email server to be used to send the warning/notification email messages.
  • Sender address – Enter the address that will appear as the sender address.
  • Virus warning addressee – Enter the email addresses of recipients who will receive virus warning messages, separated by semi-colons (;).
  • Addressee of other notification messages – Enter the email addresses of recipients who will receive notification messages (e.g. update information), separated by semi-colons (;).
  • Messenger – Enter the names of the network computers that will receive the messages from NOD32 system. (NOTE: Enter the names without backslashes (\\); you may enter several computers separated by spaces.)

NOTE: This window is only displayed in the Advanced and Expert installation modes.

The window above lists the factory default update server. We recommended using the default server unless there is a good reason change it. Enter the username and password provided by the vendor or distributor into the fields provided for this purpose.

Important note: A valid username and password is required to receive Internet updates and upgrades.
The username and password can also be entered or modified after installation in the Update section of the Control Center.

Specify your Internet connection details in this window. If unsure about proxy server details, leave the default selection. If your Internet Explorer works properly, the default selection should be the correct option.

In this installation step, you may configure the automatic Internet update settings of the NOD32 system. This page is only displayed in Advanced and Expert installation modes. All scheduled tasks can be configured after the installation using the Scheduler module.

It is vitally important to use the resident (on-access) antivirus module - AMON. AMON should be launched automatically at system startup. Make sure no other antivirus resident modules are installed on your computer to avoid compatibility problems. Special caution is recommended on Windows NT systems.

Place the NOD32 icon on desktop – selection of this check-box will place the NOD32 on-demand scanner icon on your computer desktop to allow easy execution. Execution of the NOD32 on-demand scanner can also be performed via NOD32 Control Center.

Enable on-demand scanner using mouse – selection of this check-box will integrate the NOD32 on-demand scanner into the content menu of Windows® Explorer. To scan using this feature, right-click the file or folder and select NOD32 Antivirus System from the context menu.

This window only appears in Expert and Advanced installation modes.

The IMON (Internet MONitor) module protects you from viruses entering your computer from the Internet and by email.

This window only appears in the Expert and Advanced installation modes.

The EMON module scans email for MAPI-compatible clients, such as Microsoft Outlook® and Exchange.

Click Next to complete installation of the NOD32 Antivirus System.

Select Restart now and Finish to restart your computer and activate the antivirus protection.


Uninstalling the NOD32 System

Uninstallation of the NOD32 Antivirus System can be performed in two ways:

  • Click Start
  • Click Programs or All Programs
  • Click Eset
  • Click Uninstall

...or via the Control Panel:

  • Click Start
  • Click Control Panel
  • Click Add/Remove application
  • Select NOD32 Antivirus System
  • Click OK


Cleaning

AMON / EMON / IMON cannot clean an infected file
If these scanners detect an infiltration and display a red warning panel, the Clean button may not be available. There are several reasons for this:

  • It is an infiltration that NOD32 cannot clean, either because it is a brand new virus which has not yet been analyzed, or because the virus irrevocably damages infected files.

  • It is a worm. In this case there is nothing to clean since it consists only of its body and can only be deleted. (Unlike a virus infecting program executables and spreading within them, a worm is a stand-alone program spreading by its own means. A file infected with a worm does not contain any useful content that could be saved. For further information on differences between viruses and worms, please read the chapter "Harmful Software")

  • The file may be read-only (e.g. on CD or write-protected media)

The warning panel will tell you whether it is a virus or a worm. If it is a file infected with a non-cleanable virus, please send us a sample of it for further analysis. On the other hand, if it is a worm, simply delete the file. If you encounter any difficulties, you can look up the virus description on our website for further information. In addition to its description, you can find valuable information including specific advice on how to remove a particular virus from your computer.


Update

Program is unable to connect to the mirror
In the Update window click on Settings. Make sure "Server" shows the mirror directory containing the update files (e.g. \\SERVER\NODUPD\). To verify the location you can go to the Start menu, Run, enter the directory, and confirm by pressing Enter. A window with the directory contents should appear.
The NOD32 Antivirus System (including Update) operates under the system account. It has different privileges than the account of the currently logged-on user, and so it can work without anyone logged on (e.g. for servers). Enter the credentials to access the mirror directory in the Username and Password fields. If your computer is a part of domain, also specify the domain name, separated from the username by a slash (e.g. "domain\user1"). Otherwise the operating system will treat it as a local username on the computer with the mirror.
If the access rights for the mirror directory are set for "Everyone", be aware that "Everyone" does not mean arbitrary anonymous access, but that the directory is accessible to all users of a particular domain. Even though the mirror directory is accessible to "Everyone", a valid domain username and password must still be specified in the Update settings.
If a connection still cannot be established, the reason may be that the local network actively refuses to communicate using the system account. To connect to the mirror as a different user, go to the Mirror setup, click the Advanced button, in "Connect to update server as" select the "Specified user" option and specify the username and password of any local user on that computer. (Note that this is an emergency solution which may result in the malfunction of some NOD32 components!)


Miscellaneous

More answers to your questions can be found on our website.


About the ESET company

Eset is a privately held software development and research company with offices in London, San Diego, Prague, and Bratislava. Founded in 1992, Eset has focused on development of innovative antivirus software solutions. NOD32 has evolved from that development process to be consistently rated as one of the best antivirus products. In fact, NOD32 holds more coveted Virus Bulletin* 100% Awards than any other product available.

Eset's NOD32, on the market since 1997, was the first to introduce an effective heuristic technology to detect previously unknown viruses. Often referred to as the leader of the Next Generation Antivirus Systems - NOD32 has consistently beaten all competing products in terms of having the best Detection Performance of the In the Wild viruses, achieving the Fastest Scan Rate and, at the same time, utilizing less System Resources.

For further details, please, visit www.eset.com


No Component

Sorry !

The required NOD32 component is not (properly) installed - so its help file is not available.

To view it properly, you must install the component before accessing its help file.

Click anywhere to return